List Twilio countries
GET
/providers/twilio/countries
const url = 'https://api.clearance.rest/numbers/providers/twilio/countries';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.clearance.rest/numbers/providers/twilio/countries \ --header 'X-API-Key: <X-API-Key>'Countries in which Twilio numbers can be rented.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Supported countries.
Media typeapplication/json
object
success
required
boolean
countries
required
Array<object>
object
country
required
string
countryCode
required
ISO 3166-1 alpha-2 code.
string
beta
required
boolean
Example
{ "success": true, "countries": [ { "country": "United States", "countryCode": "US", "beta": false }, { "country": "Turkey", "countryCode": "TR", "beta": false } ]}The X-API-Key header is missing or invalid.
Media typeapplication/json
Error envelope returned with a non-2xx status.
object
success
required
boolean
error
required
Human-readable error message.
string
Example
{ "success": false, "error": "geçersiz API anahtarı"}The upstream provider call failed (network error, auth error, or the provider’s own error).
Media typeapplication/json
Error envelope returned with a non-2xx status.
object
success
required
boolean
error
required
Human-readable error message.
string
Example
{ "success": false, "error": "invalid json body"}